Perform virtual machine operations for a Recovery Runbook
Perform VM operations for resources in a Recovery Runbook
Path Parameters
- runbookId int64 required
- VirtualMachineOption VirtualMachineOperationEnum required
Possible values: [
POWER_OFF = 0,POWER_ON = 1]
- application/json
Request Body
VM operation request body
recoveryOptions object
recoveryPointCategory RunbookRecoveryPointCategoryPossible values: [
LATEST,POINT_IN_TIME,AUTOMATIC,SYNTHETIC]Default value:
LATESTrecoverWithMalwareFiles booleanDefault value:
falseA boolean that indicates whether to restore malware files for forensic analysis during recovery
recoverWithEncryptedFiles booleanDefault value:
falseA boolean that indicates whether to restore encrypted files for forensic analysis during recovery
- recoveryPoint int32
Job-level recovery timestamp to be used for recovery. If not set, it inherits from the entity level; otherwise, from the recovery group.
recoveryGroup object
id int32name stringentities object[]
id int32name stringthreatScan object
enableThreatScan booleanDefault value:
falseA boolean that indicates whether threat scan is required
enableWindowsDefenderScan booleanDefault value:
falseA boolean that specifies whether a windows defender scan is required
defenderScanType CRRDefenderScanTypePossible values: [
QUICK = 1,FULL = 2]
- 200
- 400
- 404
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Not Found
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}